Update care region
curl --request PATCH \
--url https://mcp.arlohealth.ai/api/consultations/{id}/region \
--header 'Content-Type: application/json' \
--data '
{
"region": "US-CA"
}
'import requests
url = "https://mcp.arlohealth.ai/api/consultations/{id}/region"
payload = { "region": "US-CA" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({region: 'US-CA'})
};
fetch('https://mcp.arlohealth.ai/api/consultations/{id}/region', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"region": "<string>",
"appliesToNextRequest": true
}{
"error": "<string>",
"reason": "<string>",
"code": "<string>"
}{
"error": "<string>",
"needsAuth": true
}Consultations
Update Care Region
Change the region (state) a conversation is licensed for. Use when the patient is now physically somewhere different than when the conversation was started — care is licensed by where the patient currently is.
The new region applies to the NEXT provider request; it does not re-route a request already in flight. To re-route an in-flight request, cancel it first, update the region, then send a message.
PATCH
/
api
/
consultations
/
{id}
/
region
Update care region
Path Parameters
Consultation/conversation ID
Body
application/json
ISO 3166-2 code for the patient's current location (e.g. US-CA)
Example:
"US-CA"
Was this page helpful?